# $Revision: 1.17.2.2 $, $Date: 2006/12/01 15:50:48 $
Summary:	Photo collection manager and viewer with content-based query
Summary(pl):	Zarzdca oraz przegldarka kolekcji zdj
Name:		imgSeek
Version:	0.8.5
Release:	2
License:	GPL v2
Group:		X11/Applications/Graphics
Vendor:		Ricardo Niederberger Cabral <nieder@mail.ru>
Source0:	http://dl.sourceforge.net/imgseek/%{name}-%{version}.tar.bz2
# Source0-md5:	d4c3723ce6050636789336795afa353d
Source1:	%{name}.desktop
Patch0:		%{name}-settings.patch
Patch1:		%{name}-lib64.patch
URL:		http://imgseek.sourceforge.net/
BuildRequires:	python-PIL-devel
BuildRequires:	python-PyQt >= 3.5
BuildRequires:	python-devel >= 2.2.0
BuildRequires:	python-modules >= 2.2.0
BuildRequires:	qt-devel >= 3.0.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.174
BuildRequires:	sed >= 4.0
Requires:	python-PIL
Requires:	python-PyQt >= 3.5
%pyrequires_eq	python-libs
Requires:	python-modules >= 2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
imgSeek is a photo collection manager and viewer with content-based
search and many other features. The query is expressed either as a
rough sketch painted by the user or as another image you supply (or an
image in your collection).

%description -l pl
imgSeek jest zarzdc i przegldark kolekcji zdj z opart na
zawartoci wyszukiwark oraz wieloma innymi funkcjami. Wyboru mona
dokonywa zarwno przy pomocy narysowanego przez uytkownika kursorem
ksztatu jak i w tradycyjny sposb.

%package devel
Summary:	Source files of imgSeek
Summary(pl):	Pliki rdowe imgSeek
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq	python-libs

%description devel
Python source files provided with imgSeek. They pull together the GUI
of whole application.

%description devel -l pl
Pliki rdowe pythona dostarczane z imgSeek. Skadaj si one na GUI
caej aplikacji.

%prep
%setup -q
%patch0 -p0
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif
sed -i 's/python2\.4/python%{py_ver}/' setup.py

%build
QTDIR=%{_prefix} %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__python} setup.py install --root=$RPM_BUILD_ROOT
install imgSeek.png $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%dir %{py_sitedir}/imgSeekLib
%{py_sitedir}/imgSeekLib/*.pyc
%attr(755,root,root) %{py_sitedir}/imgSeekLib/*.so
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%{py_sitedir}/imgSeekLib/*.py

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: imgSeek.spec,v $
Revision 1.17.2.2  2006/12/01 15:50:48  ankry
- rel. 2

Revision 1.17.2.1  2006/12/01 15:49:32  ankry
BR: rpm-pythonprov

Revision 1.17  2006/12/01 15:47:58  ankry
s/python-Imaging/python-PIL/

Revision 1.16  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.15  2005/06/27 01:10:13  saq
- up to 0.8.5

Revision 1.14  2005/02/21 20:35:12  roman
- corrected Group entry

Revision 1.13  2005/01/02 16:20:51  saq
- drop python23 bcond, now autodetecting

Revision 1.12  2004/12/27 16:59:25  saq
- rel 3

Revision 1.11  2004/12/27 16:13:04  saq
- make lib64 patch conditional

Revision 1.10  2004/12/27 15:37:02  saq
- introducing lib64.patch

Revision 1.9  2004/12/26 16:27:53  saq
- try to fix python directories

Revision 1.8  2004/12/26 16:19:10  saq
- strict dependencies
- release 2 for python 2.4

Revision 1.7  2004/11/14 22:07:31  adamg
- 'trying' to fix build on amd64 (though I'm not familiar with python building process)

Revision 1.6  2004/11/14 14:42:45  troll
- updated to 0.8.4

Revision 1.5  2004/09/24 13:18:34  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.4  2004/03/23 07:23:32  pbern
- upto 0.8.3

Revision 1.3  2003/10/07 14:53:38  qboosh
- added md5 and missing dirs
- removed COPYING (just GPL) and PKG-INFO (redundant in package)

Revision 1.2  2003/09/24 13:46:37  ankry
- formatting

Revision 1.1  2003/09/24 13:38:38  troll
- initial release
